import 'cache_db_base_model.dart';

class APICacheDBModel extends CacheDBBaseModel {
  static String table = 'api_cache_data';

  String key;
  String syncData;
  int? syncTime;

  APICacheDBModel({
    required this.key,
    required this.syncData,
    this.syncTime,
  });

  static APICacheDBModel fromMap(Map<String, dynamic> map) {
    return APICacheDBModel(
      key: map["key"],
      syncData: map["syncData"].toString(),
      syncTime: map["syncTime"],
    );
  }

  @override
  Map<String, dynamic> toMap() {
    Map<String, dynamic> map = {};
    map.addAll(
      {
        'key': key,
        'syncData': syncData,
        'syncTime': syncTime,
      },
    );

    return map;
  }
}
